libzypp 17.37.10

zypp::FetcherIndex Struct Reference

class that represents indexes which add metadata to fetcher jobs and therefore need to be retrieved in advance. More...

## Public Member Functions
| FetcherIndex (const OnMediaLocation &loc)

## Public Attributes
OnMediaLocation | location
| Index localtion.
DefaultIntegral< bool, false > | read
| Whether we read this index.

## Detailed Description

class that represents indexes which add metadata to fetcher jobs and therefore need to be retrieved in advance.

Definition at line 43 of file Fetcher.cc.

## Constructor & Destructor Documentation

## ◆ FetcherIndex()

zypp::FetcherIndex::FetcherIndex | ( | const OnMediaLocation & | loc | ) |
| inline

Definition at line 45 of file Fetcher.cc.

## Member Data Documentation

## ◆ location

OnMediaLocation zypp::FetcherIndex::location

Index localtion.

Definition at line 49 of file Fetcher.cc.

## ◆ read

DefaultIntegral<bool,false> zypp::FetcherIndex::read

Whether we read this index.

Definition at line 51 of file Fetcher.cc.

The documentation for this struct was generated from the following file:

- zypp/Fetcher.cc